# Get Transaction

Get a transaction object given a transaction ID.

**Request:**\
`requestType` is *getTransaction*\
`fullHash` is the full hash of the transaction (optional if transaction ID is provided)

**Response:**

(S) `senderPublicKey` is the public key of the sending account for the transaction\
(S) `signature` is the digital signature of the transaction\
(S) `feeNQT` is the fee (in NQT) of the transaction\
(N) `requestProcessingTime` is the API request processing time (in millisec)\
(N) `type` is the transaction type (refer to Get Constants for a current list of types)\
(N) `confirmations` is the number of transaction confirmations\
(S) `fullHash` is the full hash of the signed transaction\
(N) `version` is the transaction version number\
(N) `ecBlockId` is the economic clustering block ID\
(S) `signatureHash` is the SHA-256 hash of the transaction signature\
(S) `senderRS` is the Reed-Solomon address of the sender\
(N) `subtype` is the transaction subtype (refer to Get Constants for a current list of subtypes)\
(S) `amountNQT` is the amount (in NQT) of the transaction\
(S) `sender` is the account ID of the sender\
(S) `recipientRS` is the Reed-Solomon address of the recipient, if applicable\
(S) `recipient` is the account number of the recipient, if applicable\
(N) `ecBlockHeight` is the economic clustering block height\
(S) `block` is the ID of the block containing the transaction\
(N) `blockTimestamp` is the timestamp (in seconds since the genesis block) of the block\
(N) `deadline` is the deadline (in minutes) for the transaction to be confirmed\
(N) `timestamp` is the time (in seconds since the genesis block) of the transaction\
(N) `height` is the height of the block in the blockchain

**Note:** The *block*, *blockTimestamp* and *confirmations* fields are omitted for unconfirmed transactions. Double-spending transactions are not retrieved.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.fwallet.net/transaction/get-transaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
